--- old/usr/src/tools/scripts/cstyle.pl	2014-11-24 19:05:56.547678875 -0500
+++ new/usr/src/tools/scripts/cstyle.pl	2014-11-24 19:05:56.555112562 -0500
@@ -23,9 +23,6 @@
 # Copyright 2008 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
-# @(#)cstyle 1.58 98/09/09 (from shannon)
-#ident	"%Z%%M%	%I%	%E% SMI"
-#
 # cstyle - check for some common stylistic errors.
 #
 #	cstyle is a sort of "lint" for C coding style.
@@ -632,6 +629,12 @@
 	if (/!\s*(strcmp|strncmp|bcmp)\s*\(/) {
 		err("don't use boolean ! with comparison functions");
 	}
+	if (/\batomic_add_(8|16|32|64|char|short|int|long)\([^,]*,\s*1\)/) {
+		err("use atomic_inc_*(...) instead of atomic_add_*(..., 1)");
+	}
+	if (/\batomic_add_(8|16|32|64|char|short|int|long)\([^,]*,\s*-1\)/) {
+		err("use atomic_dec_*(...) instead of atomic_add_*(..., -1)");
+	}
 
 	#
 	# We completely ignore, for purposes of indentation:
